Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter
Interface ContextHandler

public interface ContextHandler

Context handlers creates and stores data control metadata. Applications define their context handlers to store and modify data control metadata from a data control definition. Created: Wed Dec 08 19:05:10 2004

Since:
  10.1.3
See Also:
  `MetaDef`

Method Summary
`void` | `createMetaDC(AbstractDefinition def, java.util.Map properties)` Creates a data control metadata from its definition.
`DataControlDefinition` | `getDefinition(java.lang.String name, java.util.Map properties)` Returns the data control definition for a given data control name.
`void` | `refreshDCDef(AbstractDefinition def, java.util.Map properties)` Refreshes the data control's metadata from the given definition.
`void` | `refreshDCStructureDef(AbstractDefinition def, java.util.Map properties)` Refreshes the data control's structure defintion of the output as serialized as a part of data control metadata.

Method Detail

### createMetaDC

    public void createMetaDC(AbstractDefinition def,
                             java.util.Map properties)
                      throws java.lang.Exception

  Creates a data control metadata from its definition.

  It create a metadata that defines the data control along with the definitions representing the output structuires. This method serializes the metadata represented by various files for the data control definition.

  If the data control with the same name exists, this will overwrite the existing data control with the new definition and also overwrite the serialized structure definition of the output data. This may result to a loss of decoration that the user may have made on the structure definitions.In case of overwrite, this method calls the data control definition's `isStructureDirty()` method with the supplied flag to true. If the method returns false, it wont overwrite the structure.

  Parameters:
    `def` - the data control definition.
    `properties` - any properties set by the caller that may be used by the context handler.
  Throws:
    `java.lang.Exception` - if fails to store the metadata.

### getDefinition

    public DataControlDefinition getDefinition(java.lang.String name,
                                               java.util.Map properties)

  Returns the data control definition for a given data control name.
  Parameters:
    `name` - of the data control.
    `properties` - any properties set by the caller that may be used by the context handler.
  Returns:
    the data control definition for the given name. If the data control with that name is not available it returns null.

### refreshDCDef

    public void refreshDCDef(AbstractDefinition def,
                             java.util.Map properties)
                      throws java.lang.Exception

  Refreshes the data control's metadata from the given definition. It updates the data control's definition in the data control registry file. It doesn't update the structure defintion of the output as serialized as a part of data control metadata.
  Parameters:
    `def` - the data control definition.
    `properties` - any properties set by the caller that may be used by the context handler.
  Throws:
    `java.lang.Exception` - if fails to refresh the structures.

### refreshDCStructureDef

    public void refreshDCStructureDef(AbstractDefinition def,
                                      java.util.Map properties)
                               throws java.lang.Exception

  Refreshes the data control's structure defintion of the output as serialized as a part of data control metadata. It doesn't update the data control metadata in the data control registry file.
  Parameters:
    `def` - the data control definition.
    `properties` - any properties set by the caller that may be used by the context handler.
  Throws:
    `java.lang.Exception` - if fails to refresh the structures.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.